petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerSAWsOpen

Opens an SAWs PetscViewer.

### Synopsis

    #include "petscsys.h"  */
    PetscErrorCode PetscViewerSAWsOpen(MPI_Comm comm,PetscViewer *lab)

Collective on MPI_Comm Many br

### Input Parameters

comm -the MPI communicator Many br

### Output Parameter

lab -the PetscViewer Many br

### Options Database Keys

| -saws_port <port number> | - port number where you are running SAWs client Many br
| -xxx_view saws | - publish the object xxx Many br
| -xxx_saws_block | - blocks the program at the end of a critical point (for KSP and SNES it is the end of a solve) until Many brthe user unblocks the problem with an external tool that access the object with SAWS Many br

Many br

### Fortran Note

This routine is not supported in Fortran. Many br

### Notes

Unlike other viewers that only access the object being viewed on the call to XXXView(object,viewer) the SAWs viewer allows Many brone to view the object asynchronously as the program continues to run. One can remove SAWs access to the object with a call to Many brPetscObjectSAWsViewOff(). Many br

Information about the SAWs is available via http://bitbucket.org/saws/saws Many br

### See Also

PetscViewerDestroy(), PetscViewerStringSPrintf(), PETSC_VIEWER_SAWS_(), PetscObjectSAWsBlock(),
PetscObjectSAWsViewOff(), PetscObjectSAWsTakeAccess(), PetscObjectSAWsGrantAccess() Many br

Level:advanced
Location:src/sys/classes/viewer/impls/ams/amsopen.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages